AbstractCaosDBServerResource#
- public abstract class AbstractCaosDBServerResource extends ServerResource#
Class is still under construction.
- Author:
Timm Fitschen
Fields#
sRID#
Methods#
connectionFailed#
- protected Representation connectionFailed()#
doInit#
- protected void doInit()#
Setup method, called by
org.restlet.resource.Resource.init(org.restlet.Context,org.restlet.Request,org.restlet.Response).
doRelease#
- protected void doRelease()#
emptyEntity#
- protected Representation emptyEntity()#
error#
error#
- protected Representation error(Representation entity, Status status)#
error#
error#
- protected Representation error(Status status)#
generateRootElement#
- protected Element generateRootElement()#
Creates the XML root.
The XML root node contains:
User info as per addUserInfo
The sRID (server-side request ID)
A timestamp
The URI to this resource.
generateRootElement#
- protected Element generateRootElement(Element... elements)#
getCRID#
getFlags#
getRequestedItems#
getSRID#
getTimestamp#
getUser#
- public Subject getUser()#
getUtils#
- public WebinterfaceUtils getUtils()#
Return the
WebinterfaceUtilsinstance for this resource.
getXSLScript#
handleThrowable#
httpDelete#
- public Representation httpDelete()#
httpDeleteInChildClass#
- protected Representation httpDeleteInChildClass()#
httpGet#
- public Representation httpGet()#
httpGetInChildClass#
- protected abstract Representation httpGetInChildClass()#
httpPost#
- public Representation httpPost(Representation entity)#
httpPostInChildClass#
- protected Representation httpPostInChildClass(Representation entity)#
httpPut#
- public Representation httpPut(Representation entity)#
httpPutInChildClass#
- protected Representation httpPutInChildClass(Representation entity)#
noWellFormedNess#
- protected Representation noWellFormedNess()#
ok#
- protected JdomRepresentation ok(Element root)#
Wrap an element for an “OK” response.
ok#
- protected JdomRepresentation ok(Document doc)#
Return a JDomRepresentation of the document and leave the
Response‘sStatuswhere it is - which is usually 200 - OK when this method happens to be called.
parseEntity#
- public Document parseEntity(Representation entity)#
parseEntity#
- public Document parseEntity(InputStream stream)#
setCRID#
warning#
- protected JdomRepresentation warning(Message m)#
Return a Representation containing the warning message but leave the
Response‘sStatuswhere it is - which is usually 200 - OK when this method happens to be called.- Parameters:
m –
the warning message.
- Returns:
A Representation of the warning.